<template lang="pug">
	//-require @/pug/lipsum.pug

	article#buscador
		//-include /lipsum
		form.formulario( @submit.prevent="buscar" )
			.ingreso
				figure: img(src="@img/ico-buscar.svg", alt="alt")
				input( type="search", name="valor", v-model="valor", placeholder="Buscar imágenes, videos, archivos" )
				//-.sugerencias
					- var i = 0
					while i < 10
						- i++
						.item: a(href="#!"): +lipsum(4, "words")
	//-article#buscar
		//-
			Referencia
			https://community.algolia.com/vue-instantsearch/getting-started/getting-started.html

		//--ais-index( app-id="YT7KMQ4J7B", api-key="5dd6e936f227a13ca982530581dbe2e4", index-name="getstarted_actors" )
		//-ais-index( app-id="latency", api-key="3d9875e51fbd20c7754e65422f7ce5e1", index-name="bestbuy" )
			ais-search-box
			ais-results: template(slot-scope="{ result }")
				h2: ais-highlight( :result="result", attribute-name="name" )
			ais-powered-by


</template>

<script>

import { mapState, mapActions } from 'vuex'
export default {
	name:"Buscador",
	data(){
		return { valor:"" }
	},
	methods:{
		buscar(){
			this.buscarArchivos({
				categoria: "1",
				valor: this.valor
			});
			this.$router.push({
				name: 'busqueda',
				query: {
					categoria: "1",
					valor: this.valor
				}
			})
		},
		...mapActions([
			"buscarArchivos"
		])
	},
}
</script>

<style lang="stylus" scoped>
@import '~nib/index'
@import "~@stylus/base/utiles.styl"

#buscador
	padding 1.5rem

.ingreso
	align-items center
	background-color blanco
	border-radius 2rem
	overflow hidden
	position relative
	display flex
	align-items center
	padding 0.4rem
	border 1px solid tint( azul, 80% )

	figure
		flex 0 0 auto
		margin 0.4rem

		img
			width 15px
			height @width

	input[type="search"]
		flex 1 1 auto
		border none
		margin 0.4rem
		width auto
		outline none
		min-width 50%
		font-size calcRem( 12 )
</style>
